Skip to main content
PUT
/
properties
/
{id}
Update a property
curl --request PUT \
  --url https://api.sendkit.dev/properties/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "company",
  "type": "string",
  "fallback_value": "N/A"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "key": "company",
  "type": "string",
  "fallback_value": "N/A",
  "created_at": "2026-03-03 10:00:00",
  "updated_at": "2026-03-03 10:00:00"
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

The property ID.

Body

application/json
key
string

The property key.

Maximum string length: 255
Example:

"company"

type
enum<string>

The data type of the property.

Available options:
string,
number,
date
Example:

"string"

fallback_value
string | null

Default value used when a contact doesn't have this property set.

Maximum string length: 1000
Example:

"N/A"

Response

Property updated successfully

id
string<uuid>

Unique identifier.

Example:

"550e8400-e29b-41d4-a716-446655440000"

key
string

The property key. Used when setting values on contacts.

Example:

"company"

type
enum<string>

The data type of the property.

Available options:
string,
number,
date
Example:

"string"

fallback_value
string | null

Default value used when a contact doesn't have this property set.

Example:

"N/A"

created_at
string<date-time>

When the property was created.

Example:

"2026-03-03 10:00:00"

updated_at
string<date-time>

When the property was last updated.

Example:

"2026-03-03 10:00:00"